Bug 185721 - CSS transition not applied if color and fill="currentColor" in same SVG element
Summary: CSS transition not applied if color and fill="currentColor" in same SVG element
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Animations (show other bugs)
Version: Safari 11
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: BrowserCompat
Depends on:
Blocks:
 
Reported: 2018-05-17 03:57 PDT by Jan Bösenberg
Modified: 2021-09-07 06:50 PDT (History)
8 users (show)

See Also:


Attachments
Concise test case for reproducing the issue (826 bytes, text/html)
2018-05-17 03:57 PDT, Jan Bösenberg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Bösenberg 2018-05-17 03:57:04 PDT
Created attachment 340569 [details]
Concise test case for reproducing the issue

Open the attached test case and move the mouse over the squares. In both cases the color should fade from red to blue.

In the left example, where color and fill="currentColor" are set on the same element, the transition is ignored and the color changes abruptly from red to blue.

In the right element the color is applied to the containing group element. The transition is applied correctly.
Comment 1 Reuben 2021-09-01 05:58:24 PDT
Still present in Safari Technology Preview Release 130 (Safari 15.0, WebKit 16612.1.26.1.5).

Bug is also present when `stroke: currentColor`
Comment 2 Antoine Quint 2021-09-07 06:47:57 PDT
Both Firefox and Chrome have the correct behavior here, Safari is the outlier.